关于npm install 报错

rno0sthf
  • 1
新手上路,请多包涵

求解,试过很多方法,这个报错一直显示跟node-sass,有遇到过相同问题的大佬吗?
image.png
image.png

回复
阅读 466
1 个回答

嗯,这个问题我遇到过。

首先,它提示你没有找到python,好吧,你下载安装python之后,环境变量也配置好了,在任意目录下执行python都可以运行,但你会发现还是不行,因为它要的是python 2,而你下载安装的通常都是最新的python 3.9,如果你只需要安装这个,而不需要开发其它python代码的话,那就只安装下载python 2.7版本就可以了。但是如果碰巧你又要开发python 3的代码,这就麻烦了,你还得再安装一个miniconda,然后用miniconda切换python版本,编译node程序的时候用python 2,开发python程序的时候切换回Python 3。是不是很麻烦?

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
你知道吗?

宣传栏